This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697542 - lorax tracebacks on ppc64 (TypeError: object of type 'int' has no len())
lorax tracebacks on ppc64 (TypeError: object of type 'int' has no len())
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
15
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 10:48 EDT by Karsten Hopp
Modified: 2013-07-04 08:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: lorax-0.4.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-04-18 10:48:12 EDT
Description of problem:
Traceback (most recent call last):                                                                                                                          
  File "/usr/bin/pungi", line 214, in <module>                                                                                                              
    main()
  File "/usr/bin/pungi", line 120, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 795, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 423, in run
    i.create_initrd(self.libdir)
  File "/usr/lib/python2.7/site-packages/pylorax/images.py", line 196, in create_initrd
    replace(yabootconf, r"%BITS%", bits)
  File "/usr/lib/python2.7/site-packages/pylorax/sysutils.py", line 59, in replace
    line = pattern.sub(replace, line)
  File "/usr/lib64/python2.7/re.py", line 273, in _subx
    template = _compile_repl(template, pattern)
  File "/usr/lib64/python2.7/re.py", line 258, in _compile_repl
    p = sre_parse.parse_template(repl, pattern)
  File "/usr/lib64/python2.7/sre_parse.py", line 694, in parse_template
    s = Tokenizer(source)
  File "/usr/lib64/python2.7/sre_parse.py", line 181, in __init__
    self.__next()
  File "/usr/lib64/python2.7/sre_parse.py", line 183, in __next
    if self.index >= len(self.string):
TypeError: object of type 'int' has no len()



Version-Release number of selected component (if applicable):
lorax-0.4.2-1
Comment 1 Martin Gracik 2011-04-19 02:44:58 EDT
Fixed in lorax-0.4.3-1

Note You need to log in before you can comment on or make changes to this bug.